Package org.springframework.security.config.http

# Class HttpSecurityBeanDefinitionParser.FilterChainDecoratorFactory

java.lang.Object
org.springframework.security.config.http.HttpSecurityBeanDefinitionParser.FilterChainDecoratorFactory

All Implemented Interfaces:
  `org.springframework.beans.factory.FactoryBean<org.springframework.security.web.FilterChainProxy.FilterChainDecorator>`

Enclosing class:
  HttpSecurityBeanDefinitionParser

public static final class HttpSecurityBeanDefinitionParser.FilterChainDecoratorFactory extends Object implements org.springframework.beans.factory.FactoryBean<org.springframework.security.web.FilterChainProxy.FilterChainDecorator>

## Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`FilterChainDecoratorFactory()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.web.FilterChainProxy.FilterChainDecorator`
`getObject()`
`Class<?>`
`getObjectType()`
`void`
`setObservationRegistry(io.micrometer.observation.ObservationRegistry registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.beans.factory.FactoryBean

`isSingleton`

## Constructor Details

### FilterChainDecoratorFactory

public FilterChainDecoratorFactory()

## Method Details

### getObject

public org.springframework.security.web.FilterChainProxy.FilterChainDecorator getObject() throws Exception

Specified by:
  `getObject` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.security.web.FilterChainProxy.FilterChainDecorator>`
Throws:
  `Exception`

### getObjectType

public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<org.springframework.security.web.FilterChainProxy.FilterChainDecorator>`

### setObservationRegistry

public void setObservationRegistry(io.micrometer.observation.ObservationRegistry registry)